Name:		edison-firmware
Version:	1
Release:	1%{?dist}
Summary:	Firmware and Kernel Modules for the Intel Edison

Group:		System Environment/Kernel
License:	GPLv2 and Broadcom License
URL:		http://people.centos.org/~bstinson
Source0:	%{name}-%{version}.tar.gz
Source1:    bcm4334x.conf
Source2:    g_multi.conf
ExclusiveArch: i686

Provides:   edison-modules = 3.10.17-poky-edison+

%description
Kernel Modules and Firmware for the Intel Edison Boards

%prep
%setup -q -n %{name}-%{version} -c 

%build
echo "No Build"


%install
mkdir -p %{buildroot}/lib/modules
mkdir -p %{buildroot}/lib/firmware
mkdir -p %{buildroot}%{_sysconfdir}/firmware
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d/

cp -a lib/modules/* %{buildroot}/lib/modules/
cp -a lib/firmware/* %{buildroot}/lib/firmware/
cp -a etc/firmware/* %{buildroot}/etc/firmware/

install -o root -g root -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/modprobe.d/
install -o root -g root -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/modprobe.d/

%files
%doc etc/firmware/LICENCE.broadcom_bcm43xx
/lib/firmware/*
/etc/firmware/*
/etc/modprobe.d/*
/lib/modules/*

%changelog
* Sun Aug 09 2015 brian@bstinson.com 1-1
- Initial Release
